program lincount;

{ zaehlt die Zeilen in einem ASCII-File.
  A.Herrmann 23.07.86 }

const tab:    char=#09;
      cr:     char=#13;
      blank:  char=#32;

var ch: char;
    name1,name2: string[14];
    datei1,datei2: text;
    azeile,nzeile: string[80];
    zz: integer;
    lg: integer;
    i,ii,j: integer;
    k,kk: integer;
    tabflg: boolean;

begin { lincount }

repeat
writeln; write('Name der Quelldatei = '); readln(name1);
assign(datei1,name1);
{$I-} reset(datei1) {$I+};
if Ioresult<>0 then writeln('Datei ',name1,' nicht gefunden.')
else
    begin
{    write('Name der Zieldatei  = ');
    readln(name2);
    assign(datei2,name2);
    rewrite(datei2);
}
    zz:=0;    { Zeilenzaehler }
    while not eof(datei1) do
        begin
        readln(datei1,azeile);
{        writeln; writeln(azeile);
        lg:=length(azeile);
        while (copy(azeile,lg,1)=blank) and (lg>1) do
            lg:=lg-1;
        nzeile:=copy(azeile,1,lg);
        writeln(datei2,nzeile);
}
        zz:=zz+1;
        write(cr,zz,'.Zeile');
        end;
{    close(datei2);
}
    writeln; writeln; write('Restart ? (Y/N) ');
    repeat
        read(kbd,ch); writeln(ch);
    until ch in ['Y','y','N','n'];
    end
until ch in ['N','n'];

end. { lincount }

